StatsTable (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.tools.nodetool.stats

## Class StatsTable

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.StatsTable

-     public class StatsTable
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `averageLiveCellsPerSliceLastFiveMinutes`
    `double` | `averageTombstonesPerSliceLastFiveMinutes`
    `java.lang.Object` | `bloomFilterFalsePositives`
    `java.lang.Object` | `bloomFilterFalseRatio`
    `java.lang.String` | `bloomFilterOffHeapMemoryUsed`
    `boolean` | `bloomFilterOffHeapUsed`
    `java.lang.String` | `bloomFilterSpaceUsed`
    `long` | `compactedPartitionMaximumBytes`
    `long` | `compactedPartitionMeanBytes`
    `long` | `compactedPartitionMinimumBytes`
    `java.lang.String` | `compressionMetadataOffHeapMemoryUsed`
    `boolean` | `compressionMetadataOffHeapUsed`
    `java.lang.String` | `droppedMutations`
    `java.lang.String` | `indexSummaryOffHeapMemoryUsed`
    `boolean` | `indexSummaryOffHeapUsed`
    `boolean` | `isIndex`
    `boolean` | `isLeveledSstable`
    `long` | `localReadCount`
    `double` | `localReadLatencyMs`
    `long` | `localWriteCount`
    `double` | `localWriteLatencyMs`
    `long` | `maximumLiveCellsPerSliceLastFiveMinutes`
    `long` | `maximumTombstonesPerSliceLastFiveMinutes`
    `java.lang.Object` | `memtableCellCount`
    `java.lang.String` | `memtableDataSize`
    `java.lang.String` | `memtableOffHeapMemoryUsed`
    `boolean` | `memtableOffHeapUsed`
    `java.lang.Object` | `memtableSwitchCount`
    `java.lang.String` | `name`
    `java.lang.Object` | `numberOfPartitionsEstimate`
    `java.lang.String` | `offHeapMemoryUsedTotal`
    `boolean` | `offHeapUsed`
    `java.lang.Object` | `pendingFlushes`
    `double` | `percentRepaired`
    `java.lang.String` | `spaceUsedBySnapshotsTotal`
    `java.lang.String` | `spaceUsedLive`
    `java.lang.String` | `spaceUsedTotal`
    `java.lang.Object` | `sstableCompressionRatio`
    `java.lang.Object` | `sstableCount`
    `java.util.List<java.lang.String>` | `sstablesInEachLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsTable()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### isIndex

          public boolean isIndex

    - #### isLeveledSstable

          public boolean isLeveledSstable

    - #### sstableCount

          public java.lang.Object sstableCount

    - #### spaceUsedLive

          public java.lang.String spaceUsedLive

    - #### spaceUsedTotal

          public java.lang.String spaceUsedTotal

    - #### spaceUsedBySnapshotsTotal

          public java.lang.String spaceUsedBySnapshotsTotal

    - #### offHeapUsed

          public boolean offHeapUsed

    - #### offHeapMemoryUsedTotal

          public java.lang.String offHeapMemoryUsedTotal

    - #### sstableCompressionRatio

          public java.lang.Object sstableCompressionRatio

    - #### numberOfPartitionsEstimate

          public java.lang.Object numberOfPartitionsEstimate

    - #### memtableCellCount

          public java.lang.Object memtableCellCount

    - #### memtableDataSize

          public java.lang.String memtableDataSize

    - #### memtableOffHeapUsed

          public boolean memtableOffHeapUsed

    - #### memtableOffHeapMemoryUsed

          public java.lang.String memtableOffHeapMemoryUsed

    - #### memtableSwitchCount

          public java.lang.Object memtableSwitchCount

    - #### localReadCount

          public long localReadCount

    - #### localReadLatencyMs

          public double localReadLatencyMs

    - #### localWriteCount

          public long localWriteCount

    - #### localWriteLatencyMs

          public double localWriteLatencyMs

    - #### pendingFlushes

          public java.lang.Object pendingFlushes

    - #### bloomFilterFalsePositives

          public java.lang.Object bloomFilterFalsePositives

    - #### bloomFilterFalseRatio

          public java.lang.Object bloomFilterFalseRatio

    - #### bloomFilterSpaceUsed

          public java.lang.String bloomFilterSpaceUsed

    - #### bloomFilterOffHeapUsed

          public boolean bloomFilterOffHeapUsed

    - #### bloomFilterOffHeapMemoryUsed

          public java.lang.String bloomFilterOffHeapMemoryUsed

    - #### indexSummaryOffHeapUsed

          public boolean indexSummaryOffHeapUsed

    - #### indexSummaryOffHeapMemoryUsed

          public java.lang.String indexSummaryOffHeapMemoryUsed

    - #### compressionMetadataOffHeapUsed

          public boolean compressionMetadataOffHeapUsed

    - #### compressionMetadataOffHeapMemoryUsed

          public java.lang.String compressionMetadataOffHeapMemoryUsed

    - #### compactedPartitionMinimumBytes

          public long compactedPartitionMinimumBytes

    - #### compactedPartitionMaximumBytes

          public long compactedPartitionMaximumBytes

    - #### compactedPartitionMeanBytes

          public long compactedPartitionMeanBytes

    - #### percentRepaired

          public double percentRepaired

    - #### averageLiveCellsPerSliceLastFiveMinutes

          public double averageLiveCellsPerSliceLastFiveMinutes

    - #### maximumLiveCellsPerSliceLastFiveMinutes

          public long maximumLiveCellsPerSliceLastFiveMinutes

    - #### averageTombstonesPerSliceLastFiveMinutes

          public double averageTombstonesPerSliceLastFiveMinutes

    - #### maximumTombstonesPerSliceLastFiveMinutes

          public long maximumTombstonesPerSliceLastFiveMinutes

    - #### droppedMutations

          public java.lang.String droppedMutations

    - #### sstablesInEachLevel

          public java.util.List<java.lang.String> sstablesInEachLevel

  - ### Constructor Detail

    - #### StatsTable

          public StatsTable()

Copyright © 2018 The Apache Software Foundation